%define upstream_name    QuadPres
%define upstream_version 0.30.0

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Support code for quad-pres
License:    MIT
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Class::XSAccessor)
BuildRequires: perl(Config::IniFiles)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(File::Spec)
BuildRequires: perl(HTML::Widgets::NavMenu::EscapeHtml)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(List::Util) >= 1.340.0
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(MooX)
BuildRequires: perl(MooX::late) >= 0.10.0
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Template)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Text::VimColor)
BuildRequires: perl(autodie)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
CPANized support code for the Quad-Pres slides generator.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Mar 23 2022 umeabot <umeabot> 0.30.0-2.mga9
+ Revision: 1821368
- Mageia 9 Mass Rebuild

* Tue Jul 21 2020 shlomif <shlomif> 0.30.0-1.mga8
+ Revision: 1607657
- update to 0.30.0

* Tue Jul 21 2020 shlomif <shlomif> 0.28.4-1.mga8
+ Revision: 1607606
- update to 0.28.4

* Wed Apr 29 2020 shlomif <shlomif> 0.28.2-1.mga8
+ Revision: 1573155
- update to 0.28.2

* Sat Feb 15 2020 umeabot <umeabot> 0.28.1-2.mga8
+ Revision: 1525448
- Mageia 8 Mass Rebuild

* Wed Apr 17 2019 shlomif <shlomif> 0.28.1-1.mga7
+ Revision: 1392444
- update to 0.28.1

* Wed Apr 17 2019 shlomif <shlomif> 0.28.0-1.mga7
+ Revision: 1392340
- add BRs
- fix descr
- imported package perl-QuadPres


* Wed Apr 17 2019 cpan2dist 0.28.0-1mga
- initial mageia release, generated with cpan2dist
